# classes/phing/tasks/ext/phpcpd/formatter/PMDPHPCPDResultFormatter.php

## \PMDPHPCPDResultFormatter
jump to top

Prints PMD-XML output of phpcpd run

Extends from
  \PHPCPDResultFormatter
author
  Benjamin Schultz
package
  phing.tasks.ext.phpcpd.formatter
version
  $Id: PMDPHPCPDResultFormatter.php 1281 2011-08-18 19:23:20Z mrook $

### Methods

`processClones( \PHPCPD_CloneMap $clones, \Project $project, boolean $useFile = false, $outFile = null ) :`
Processes a list of clones.
Parameters

Name | Type | Description
--- | --- | ---
$clones | \PHPCPD_CloneMap |
$project | \Project |
$useFile | boolean |
$outFile |  |

Documentation was generated by DocBlox 0.13.1.